| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
UserDefinedValueAttribute Class Reference

## Public Member Functions
| UserDefinedValueAttribute ()
String | GetGuid ()
String | GetName ()
String | GetValue ()
void | SetValue (String value)
String | GetMethodAvailability ()
String | GetObjectAvailability ()
String | GetPropertyAvailability ()

## Detailed Description

common editor interface variable

## Constructor & Destructor Documentation

## ◆ UserDefinedValueAttribute()

UserDefinedValueAttribute::UserDefinedValueAttribute | ( |  | ) |

ctor

## Member Function Documentation

## ◆ GetGuid()

String UserDefinedValueAttribute::GetGuid | ( |  | ) |

Retrieves the attribute's guid.

Returns
  String containing the guid of the attribute

## ◆ GetMethodAvailability()

String UserDefinedValueAttribute::GetMethodAvailability | ( |  | ) |

Retrieves the attribute's method availability.

Returns
  String containing the availability of the attribute within methods

## ◆ GetName()

String UserDefinedValueAttribute::GetName | ( |  | ) |

Retrieves the attribute's name.

Returns
  String containing the name of the attribute

## ◆ GetObjectAvailability()

String UserDefinedValueAttribute::GetObjectAvailability | ( |  | ) |

Retrieves the attribute's object availability.

Returns
  String containing the availability of the attribute within objects

## ◆ GetPropertyAvailability()

String UserDefinedValueAttribute::GetPropertyAvailability | ( |  | ) |

Retrieves the attribute's method availability.

Returns
  String containing the availability of the attribute within properties

## ◆ GetValue()

String UserDefinedValueAttribute::GetValue | ( |  | ) |

Retrieves the attribute's value.

Returns
  String containing the value of the attribute

## ◆ SetValue()

void UserDefinedValueAttribute::SetValue | ( | String | value | ) |

Sets the attribute's value.

Parameters

  value | New value for the attribute

The documentation for this class was generated from the following file:

- UserDefinedValueAttribute.i